<template>
  <v-app>
    <v-container>
      <v-layout>
        <v-dialog v-model="dialoginv" width="650">
          <v-card>
            <v-toolbar class="elevation-0" color="#6a7d69">
              <v-card-title
                class="headline"
                style="color:#efdbd4; font-weight:bold;"
                >{{ dialoginvname }}</v-card-title
              >
              <v-spacer />
              <v-btn icon dark>
                <v-icon color="#efdbd4" @click="dialoginv = false"
                  >close</v-icon
                >
              </v-btn>
            </v-toolbar>
            <!-- {{billsview}} -->
            <v-data-table
              class="elevation-0 custom-table-cell"
              :headers="headers"
              :items="billsview"
              item-key="Invoice_no"
              disable-initial-sort
              hide-actions
            >
              <template
                v-slot:items="props"
                v-bind:class="{ 'active-class-name': isActive(sidemenu) }"
              >
                <tr>
                  <td style="color:#6a7d69;">
                    <strong>{{ props.item.order_id }}</strong>
                  </td>
                  <!-- <td style="color:#6a7d69;"><strong>{{ props.item.Invoice_no }}</strong></td> -->
                  <td class="text-xs-left">
                    {{ addCommas(parseFloat(props.item.Sub_total).toFixed(2)) }}
                  </td>
                  <td class="text-xs-right">
                    {{
                      addCommas(parseFloat(props.item.vat_amount).toFixed(2))
                    }}
                  </td>
                  <td class="text-xs-right">
                    {{
                      addCommas(parseFloat(props.item.wht_amount).toFixed(2))
                    }}
                  </td>
                  <td class="text-xs-right">
                    {{
                      addCommas(parseFloat(props.item.Grand_total).toFixed(2))
                    }}
                  </td>
                </tr>
              </template>
            </v-data-table>
            <!-- <v-card-actions>
              </v-card-actions> -->
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogtimeout" persistent width="420">
          <v-card>
            <v-card-title class="headline">Session Expired</v-card-title>
            <div style="padding-left:20px;">
              You have left this browser for 5 minutes. Please Login again.
            </div>
            <v-card-actions>
              <br /><br /><br />
              <v-spacer></v-spacer>
              <center>
                <v-btn style="color:white;" color="#6a7d69" text @click="logout"
                  >OK</v-btn
                >
              </center>
            </v-card-actions>
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogloader" persistent width="400">
          <v-card color="#6a7d69" dark>
            <v-card-text>
              Please wait while we are processing your request...
              <v-progress-linear
                indeterminate
                color="white"
                class="mb-0"
              ></v-progress-linear>
            </v-card-text>
          </v-card>
        </v-dialog>
        <v-flex md12>
          <div id="app">
            <v-app id="inspire">
              <v-flex v-if="!mobileView">
                <!-- <li class="step"><a href="/unpaidbill" style="color:#efdbd4;">1. Select Invoices</a></li>
                        <li class="step" style="color:#efdbd4;">&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;</li>
                        <li class="active step">2. Summary Selected Invoices</li>
                        <li class="step" style="color:#efdbd4;">&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;</li>
                        <li class="step" style="color:#efdbd4;">3. Payment</li> -->
                <v-progress-linear
                  v-model="valueDeterminate"
                  background-color="#C1C9D2"
                  color="#3A8300"
                ></v-progress-linear>

                <v-stepper>
                  <v-stepper-header class="text-stepper-step">
                    <v-stepper-step step="" complete color="#3A8300"
                      ><a href="/unpaidbill"
                        >เลือกรายการจ่ายเงิน</a
                      ></v-stepper-step
                    >
                    <v-stepper-step complete color="#D7B30B" step=""
                      >สรุปการสั่งจ่ายเงิน</v-stepper-step
                    >
                    <v-stepper-step complete color="#D5D0CF" step="3"
                      >ชำระเงิน</v-stepper-step
                    >
                  </v-stepper-header>
                </v-stepper>
              </v-flex>

              <!-- --------------- mobile menu ----------------- -->
              <v-card v-if="mobileView">
                <!-- <v-stepper-header class="elevation-0" v-if="mobileView">
                        <v-stepper-step  step="1"><a href="/unpaidbill" style="margin-right:5px;">Select Invoices</a></v-stepper-step>
                        <v-divider></v-divider>
                        <v-stepper-step step="2" class="active" style="margin-right:5px;">Summary</v-stepper-step>
                        <v-divider></v-divider>
                        <v-stepper-step step="3">Payment</v-stepper-step>
                      </v-stepper-header> -->

                <v-progress-linear
                  v-model="valueDeterminate"
                  background-color="#C1C9D2"
                  color="#3A8300"
                ></v-progress-linear>

                <v-stepper>
                  <v-stepper-header class="text-stepper-step">
                    <v-stepper-step step="" complete color="#3A8300"
                      ><a href="/unpaidbill"
                        >เลือกรายการจ่ายเงิน</a
                      ></v-stepper-step
                    >
                    <v-stepper-step complete color="#D7B30B" step=""
                      >สรุปการสั่งจ่ายเงิน</v-stepper-step
                    >
                    <v-stepper-step complete color="#D5D0CF" step="3"
                      >ชำระเงิน</v-stepper-step
                    >
                  </v-stepper-header>
                </v-stepper>
              </v-card>
              <!-- ----------------- end mobile ----------------- -->
              <!-- ----------------- card ---------------------- -->
              <v-card
                class="mx-auto my-12"
                elevation="0"
                width="100%"
                height="100%"
                style="margin-top:20px;margin-left:20px"
              >
                <v-card-text style="margin-left:10px;">
                  <p class="header">สรุปการสั่งจ่ายเงิน</p>
                </v-card-text>
                <v-layout>
                  <!-- ---------------------- desktop ---------------------- -->
                  <v-flex xs8 v-if="!mobileView">
                    <div style="margin-left:20px;width:580px">
                      <v-expansion-panel expand :readonly="readonly">
                        <v-expansion-panel-content
                          v-for="item in datapanel"
                          :key="item.receiver_company"
                        >
                          <template v-slot:header>
                            <div style="padding:0px 0px 0px 0px;">
                              <span
                                style="float:left; font-weight:700;font-size:16px;font-family: Sarabun, sans-serif;"
                                class="namecpn"
                              >
                                {{ item.receiver_company }}
                              </span>
                              <span
                                style="float:right;font-weight:400;font-size:16px;font-family: Sarabun, sans-serif;"
                                >{{ item.count }} รายการ </span
                              ><br />
                              <span
                                style="float:left;font-size:15px;font-weight:500;color:#757575;font-family: Sarabun, sans-serif;"
                                >Tax ID: {{ item.tax_id }}
                              </span>
                              <span
                                style="float:right;font-size:16px;font-weight:700;color:#3A8300;font-family: Sarabun, sans-serif;"
                                >฿ {{ addCommas(item.pay_amount) }} </span
                              ><br />
                            </div>
                          </template>

                          <v-card
                            style="margin-left:20px;margin-right:20px;font-family: Sarabun, sans-serif;"
                          >
                            <v-data-table
                              class="elevation-0 custom-table-cell table-stylepanel"
                              :headers="headers"
                              :items="billsview"
                              :search="item.receiver_company"
                              hide-actions
                            >
                              <template v-slot:items="props">
                                <tr>
                                  <!-- <td class="text-xs-left">{{props.item.receiver_company}}</td> -->
                                  <td class="text-xs-left">
                                    {{ props.item.refno }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.description }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.amountExcVat }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.vatAmount }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.whtAmount }}
                                  </td>
                                  <!-- <td class="text-xs-right"> <v-icon  color="#3A8300" left>mdi-bank</v-icon></td> -->
                                </tr>
                              </template>
                            </v-data-table>
                          </v-card>
                        </v-expansion-panel-content>
                      </v-expansion-panel>
                    </div>
                  </v-flex>
                  <!-- ---------------------- end desktop ---------------------- -->

                  <!-- ---------------------- mobile ---------------------- -->
                  <v-flex xs12 v-if="mobileView">
                    <div style="margin-left:20px;margin-right:20px">
                      <v-expansion-panel expand :readonly="readonly">
                        <v-expansion-panel-content
                          v-for="item in datapanel"
                          :key="item.receiver_company"
                        >
                          <template v-slot:header>
                            <div style="padding:0px 0px 0px 0px;">
                              <span
                                style="float:left; font-weight:700;font-size:16px;font-family: Sarabun, sans-serif;"
                                class="namecpn"
                                >{{ item.receiver_company }}</span
                              >
                              <span
                                style="float:right;font-weight:400;font-size:16px;font-family: Sarabun, sans-serif;"
                                >{{ item.count }} รายการ </span
                              ><br />
                              <span
                                style="float:left;font-size:15px;font-weight:500;color:#757575;font-family: Sarabun, sans-serif;"
                                >Tax ID: {{ item.tax_id }}</span
                              >
                              <span
                                style="float:right;font-size:16px;font-weight:700;color:#3A8300;font-family: Sarabun, sans-serif;"
                                >฿ {{ addCommas(item.pay_amount) }}</span
                              ><br />
                            </div>
                          </template>
                          <v-card
                            style="margin-left:20px;margin-right:20px;font-family: Sarabun, sans-serif;"
                          >
                            <v-data-table
                              class="elevation-0 custom-table-cell table-stylepanel"
                              :headers="headers"
                              :items="billsview"
                              :search="item.receiver_company"
                              hide-actions
                            >
                              <template
                                v-slot:items="props"
                                v-bind:class="{
                                  'active-class-name': isActive(sidemenu)
                                }"
                              >
                                <tr>
                                  <!-- <td class="text-xs-left">{{props.item.receiver_company}}</td> -->
                                  <td class="text-xs-left">
                                    {{ props.item.refno }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.description }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.amountExcVat }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.vatAmount }}
                                  </td>
                                  <td class="text-xs-left">
                                    {{ props.item.whtAmount }}
                                  </td>
                                  <!-- <td style="padding-left:34px"> <v-card style="width:24px;height:24px"><v-img  :src="images.delete"></v-img></v-card></td>-->
                                </tr>
                              </template>
                            </v-data-table>
                          </v-card>
                        </v-expansion-panel-content>
                      </v-expansion-panel>
                    </div>
                  </v-flex>
                  <!-- ---------------------- end mobile ---------------------- -->

                  <!-- ---------------------- desktop ---------------------- -->
                  <v-flex xs6 v-if="!mobileView">
                    <v-card width="380" height="auto" style="margin-left: 20px">
                      <v-card-text
                        style="background-color:#ffffff;border: 2px solid #3a8300;"
                      >
                        <v-layout
                          align-center
                          justify-end
                          row
                          wrap
                          justify-center
                        >
                          <v-flex xs9 class="textpay">ชำระ</v-flex>
                          <v-flex
                            xs3
                            style="text-align:right;"
                            class="textpayprice"
                            ><h4>
                              {{ currenttotalpay.length }} รายการ
                            </h4></v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap>
                          <v-flex md1 class="textpay">โดย</v-flex>
                          <v-flex
                            md11
                            style="text-align:right;"
                            class="textpayprice"
                            >{{ bizNameTH }}</v-flex
                          >
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">รวม (Amount)</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿ {{ addCommas(totalExcVat) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">ภาษีมูลค่าเพิ่ม (VAT)</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿ {{ addCommas(totalvatamount) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex>
                            <v-flex class="textpay"
                              >ภาษีหัก ณ ที่จ่าย (WHT)</v-flex
                            >
                          </v-flex>
                          <v-flex
                            style="text-align:right;"
                            class="textpayprice"
                          >
                            ฿ {{ addCommas(totalwht) }}
                          </v-flex>
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay"
                            >รวมทั้งหมด (Net Amount)</v-flex
                          >
                          <v-flex
                            style="text-align:right;color:#000000;font-weight:700;font-style:normal;font-size:24px;line-height: 32px;font-family: Sarabun, sans-serif;"
                            >฿ {{ addCommas(totalpricepay_inc_fee) }}</v-flex
                          >
                        </v-layout>

                        <v-divider class="summarydata"></v-divider>
                        <v-btn
                          @click="pay"
                          class="paybtn white--text"
                          block
                          color="#3a8300"
                          >ชำระเงิน</v-btn
                        >
                        <v-layout justify-end row wrap>
                          <v-flex
                            style="text-align:center;font-size:16px;font-weight:400;font-family: Sarabun, sans-serif;"
                            ><a href="/unpaidbill" style="color:#000000;"
                              >ย้อนกลับไปเลือกรายการจ่ายเงินใหม่</a
                            ></v-flex
                          >
                        </v-layout>
                      </v-card-text>
                      <form
                        ref="paymentform"
                        name="PostForm"
                        method="POST"
                        :action="paymenturl"
                      >
                        <input
                          name="access_token"
                          type="hidden"
                          :value="paymenttoken"
                        />
                      </form>
                    </v-card>
                    <v-flex py-3></v-flex>
                    <p hidden>{{ isIdle }}</p>
                  </v-flex>
                  <!-- ---------------------- end desktop ---------------------- -->
                </v-layout>
                <!-- ---------------------- mobile ---------------------- -->
                <v-layout v-if="mobileView" style="margin-top:30px">
                  <v-flex xs12 md12>
                    <v-card
                      width="auto"
                      height="auto"
                      style="margin-left:20px; font-size:12px;margin-right:20px"
                    >
                      <v-card-text
                        style="background-color:#ffffff; padding:16px;;border: 2px solid #3a8300;"
                      >
                        <v-layout align-center justify-end row wrap>
                          <v-flex xs9 class="textpay">ชำระ</v-flex>
                          <v-flex
                            xs3
                            style="text-align:right;"
                            class="textpayprice"
                            ><h4>
                              {{ currenttotalpay.length }} รายการ
                            </h4></v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap>
                          <v-flex xs1 class="textpay">โดย</v-flex>
                          <v-flex
                            xs11
                            style="text-align:right;"
                            class="textpayprice"
                            ><p style="margin-bottom:0px;">
                              {{ bizNameTH }}
                            </p></v-flex
                          >
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>

                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">รวม (Amount)</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿ {{ addCommas(totalExcVat) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay">ภาษีมูลค่าเพิ่ม (WHT)</v-flex>
                          <v-flex style="text-align:right;" class="textpayprice"
                            >฿ {{ addCommas(totalvatamount) }}</v-flex
                          >
                        </v-layout>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex>
                            <v-flex class="textpay"
                              >ภาษีหัก ณ ที่จ่าย (VAT)</v-flex
                            >
                          </v-flex>
                          <v-flex
                            style="text-align:right;"
                            class="textpayprice"
                          >
                            ฿ {{ addCommas(totalwht) }}
                          </v-flex>
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-layout justify-end row wrap class="summarydata">
                          <v-flex class="textpay"
                            >รวมทั้งหมด (Net Amount)</v-flex
                          >
                          <v-flex
                            style="text-align:right;color:#000000;font-weight:700;font-style:normal;font-size:24px;line-height: 32px;font-family: Sarabun, sans-serif;"
                            >฿ {{ addCommas(totalpricepay_inc_fee) }}</v-flex
                          >
                        </v-layout>
                        <v-divider class="summarydata"></v-divider>
                        <v-btn
                          @click="pay"
                          class="paybtn white--text"
                          block
                          color="#3a8300"
                          >ชำระเงิน</v-btn
                        >
                        <v-layout justify-end row wrap>
                          <v-flex
                            style="text-align:center;font-size:16px;font-weight:400"
                            ><a href="/unpaidbill" style="color:#000000;"
                              >ย้อนกลับไปเลือกรายการจ่ายเงินใหม่</a
                            ></v-flex
                          >
                        </v-layout>
                      </v-card-text>
                      <form
                        ref="paymentform"
                        name="PostForm"
                        method="POST"
                        :action="paymenturl"
                      >
                        <input
                          name="access_token"
                          type="hidden"
                          :value="paymenttoken"
                        />
                      </form>
                    </v-card>
                    <v-flex py-3></v-flex>
                    <p hidden>{{ isIdle }}</p>
                  </v-flex>
                </v-layout>
                <!-- ---------------------- end mobile ---------------------- -->
              </v-card>
            </v-app>
          </div>
        </v-flex>
      </v-layout>
    </v-container>
  </v-app>
</template>
<script>
import { sync } from "vuex-pathify";
import moment from "moment";
// import { VStepper } from 'vue-stepper-component'
moment.locale("en");
export default {
  components: {
    // VStepper
  },
  data() {
    return {
      headers: [
        {
          text: "Doc No.",
          align: "left",
          sortable: false,
          value: "receiver_company"
        },
        // { text: 'Ref No.', value: 'refno', sortable: false},
        { text: "Description", value: "description", sortable: false },
        {
          text: "Amount",
          value: "amount_exc_vat",
          align: "left",
          sortable: false
        },
        { text: "VAT", value: "vat_amount", align: "left", sortable: false },
        { text: "WHT", value: "wht_amount", align: "left", sortable: false }
      ],
      valueDeterminate: 66.6,
      dialoginvname: "",
      tempselectinv: [],
      dialoginv: false,
      readonly: false,
      datapanel: [],
      resultEachcompany: [],
      counts: {},
      currenttotalpay: JSON.parse(localStorage.getItem("currenttotalpay")),
      currenttotalpay1: JSON.parse(localStorage.getItem("currenttotalpay")),
      totalpricepay: parseFloat(
        this.$cookies.get("totalpricepay").replace(/,/g, "")
      ).toFixed(2),
      totalExcVat: parseFloat(
        this.$cookies.get("totalExcVat").replace(/,/g, "")
      ).toFixed(2),
      totalvatamount: parseFloat(
        this.$cookies.get("totalvatamount").replace(/,/g, "")
      ).toFixed(2),
      totalwht: parseFloat(
        this.$cookies.get("totalwht").replace(/,/g, "")
      ).toFixed(2),
      maintotalpricepay: this.$cookies.get("totalpricepay"),
      totalfee: 0.0,
      sumfee: 0.0,
      totalvatoffee: 0.0,
      totalpricepay_inc_fee: 0.0,
      dialogtimeout: false,
      chkboxWHT: "",
      tout: "",
      selectedcpn: this.$cookies.get("selectedcpn"),
      bizNameTH: this.$cookies.get("bizNameTH"),
      bizType: this.$cookies.get("bizType"),
      nameENG: this.$cookies.get("nameENG"),
      firstnameENG: this.$cookies.get("firstnameENG"),
      firstlastTH: this.$cookies.get("firstlastTH"),
      dialogloader: false,
      notifications: false,
      sound: true,
      widgets: false,
      tempinvoices: [],
      paymenttoken: "",
      getname: "",
      dialog: false,
      imageCompany: localStorage.getItem("imageCompany"),
      images: {
        logo: require("../assets/inet_logo.jpg"),
        user: require("../assets/Ellipse 8.png"),
        logout: require("../assets/arrow_drop_down.png"),
        delete: require("../assets/Delete.png")
      }
    };
  },
  beforeCreate() {
    if (!this.$session.exists()) {
      this.$router.push("/");
    }
  },
  created() {
    this.dataEachcompany();
    this.calfee();
    this.handleView();
    window.addEventListener("resize", this.handleView);
  },
  initialize() {},
  methods: {
    sessionTimeout() {
      if (this.isIdle == true) {
        this.$session.destroy();
        this.dialogtimeout = true;
      }
    },
    addCommas(nStr) {
      nStr += "";
      var x = nStr.split(".");
      var x1 = x[0];
      var x2 = x.length > 1 ? "." + x[1] : "";
      var rgx = /(\d+)(\d{3})/;
      while (rgx.test(x1)) {
        x1 = x1.replace(rgx, "$1" + "," + "$2");
      }
      return x1 + x2;
    },
    async pay() {
      try {
        this.tempinvoices = this.currenttotalpay.map(
          invoice => invoice["Invoice_no"]
        );
        if (this.tempinvoices.length == 0) {
          alert("Please select invoice.");
          this.$router.push("/unpaidbill");
        } else {
          this.$router.push("/checkout");
        }
      } catch (error) {
        console.log(error.message);
      }
    },
    calfee() {
      this.totalfee = 0.0;
      this.totalvatoffee = 0.0;
      var fee_rate = this.$cookies.get("fee_rate");
      var vatoffee_rate = this.$cookies.get("vatoffee_rate");
      this.totalpricepay_inc_fee = (
        parseFloat(this.totalExcVat) + parseFloat(this.totalvatamount)
      )
        // parseFloat(this.totalExcVat) +
        // parseFloat(this.totalvatamount) +
        // parseFloat(this.totalfee) +
        // parseFloat(this.totalvatoffee)
        .toFixed(2);
      this.$cookies.set("totalfee", this.totalfee);
      this.$cookies.set("totalvatoffee", this.totalvatoffee);
      this.$cookies.set("totalpricepay_inc_fee", this.totalpricepay_inc_fee);
    },
    logout() {
      this.$session.destroy();
      this.$cookies.keys().forEach(key => {
        this.$cookies.remove(key);
      });
      this.$router.push("/");
    },
    handleView() {
      this.mobileView = window.innerWidth <= 990;
    },
    dataEachcompany() {
      let vm = this;
      // console.log('currenttotalpay');
      // console.log(this.currenttotalpay)
      this.currenttotalpay.forEach(function(a) {
        // console.log('a');
        // console.log(this[a.receiver_company]);
        if (!this[a.receiver_company]) {
          this[a.receiver_company] = {
            receiver_company: a.receiver_company,
            tax_id: a.receiver_tax_id,
            pay_amount: 0,
            count: 0,
            refno: a.order_id,
            description: a.detail,
            amountExcVat: a.amountExcVat,
            vatAmount: a.vatAmount,
            whtAmount: a.whtAmount
          };
          vm.datapanel.push(this[a.receiver_company]);
        }
        this[a.receiver_company].count++;
        this[a.receiver_company].pay_amount += a.amount_inc_vat;
      }, Object.create(null));
      this.currenttotalpay.forEach(function(a) {
        // console.log('b',this.currenttotalpay)
      }, Object.create(null));
    }
  },
  computed: {
    paymenturl() {
      return process.env.VUE_APP_PAYMENTURL;
    },
    account_id() {
      return this.$cookies.get("account_id");
    },
    username() {
      return this.$cookies.get("username");
    },
    isIdle() {
      this.tout = this.$store.state.idleVue.isIdle;
      return this.tout;
    },
    billsview() {
      // console.log('billsview');
      // console.log(this.currenttotalpay)
      return this.currenttotalpay.map(bill => {
        return {
          receiver_company: bill.receiver_company,
          tax_id: bill.receiver_tax_id,
          pay_amount: 0,
          count: 0,
          refno: bill.order_id,
          description: bill.detail,
          amountExcVat: bill.amountExcVat,
          vatAmount: bill.vatAmount,
          whtAmount: bill.whtAmount
        };
      });
    }
  },
  watch: {
    tout() {
      this.sessionTimeout();
    }
  }
};
</script>

<style scoped>
.table-stylepanel {
  border-collapse: collapse;
  border-radius: 1em !important;
  overflow: hidden;
  border: 1px solid #e0e0e0;
  margin-bottom: 12px;
}

.namecpn {
  max-width: 80%;
}
ul li {
  display: inline;
  color: gray;
  font-weight: bold;
  font-size: 16px;
}
a {
  color: grey;
  text-decoration: none;
}
a:hover {
  color: #6a7d69;
  text-decoration: underline;
}
.active {
  color: #875c49;
}
.summarydata {
  margin-top: 14px;
}
.summaryprice {
  font-size: 16px;
  font-weight: bold;
  background-color: #f0f0f0;
  width: auto;
  height: 35px;
  padding-top: 5px;
}
.textpay {
  font-family: "Sarabun", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  color: #000000;
  line-height: 26px;
}

.textpayprice {
  font-family: "Sarabun", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 18px;
  color: #000000;
  line-height: 26px;
}

.paybtn {
  margin-top: 14px;
  margin-bottom: 14px;
  text-align: center;
  font-size: 16px;
  border-radius: 4px;
  font-weight: bold;
  line-height: 24px;
  font-family: "Sarabun", sans-serif;
}
.v-card.mx-auto {
  width: 1000px;
}
.v-stepper__header {
  size: 20%;
}
.logo {
  max-width: 100px;
}
.header {
  font-size: 24px;
  font-weight: 700;
  color: #212121;
  margin-bottom: 8px;
  font-family: "Sarabun", sans-serif;
}
.sub-header {
  color: #cfb9b4;
  font-size: 14px;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.cardleft {
  width: 500px;
  height: 400px;
}

@media (max-width: 500px) {
  .cardin {
    min-height: 80px;
  }
  .namecpn {
    max-width: 60%;
  }
  .cardleft {
    width: 95%;
    height: auto;
  }
  .v-card.mx-auto {
    width: auto;
  }
  #tableDetail thead {
    display: none;
  }
  #tableDetail tr:nth-child(even) {
    background-color: #d1e3e8;
  }
  #tableDetail,
  #tableDetail tr,
  #tableDetail td {
    display: block;
    width: 100%;
  }
  #tableDetail tr,
  #tableDetail td {
    border: 1px solid #ddd;
    text-align: center;
  }
  #tableDetail tr {
    margin-bottom: 15px;
  }
  #tableDetail td {
    overflow-wrap: break-word;
    display: inline-block;
    word-break: break-word;
    text-align: right;
    padding-left: 50%;
    position: relative;
    height: 50px;
  }
  #tableDetail td.longtext {
    min-height: 40px;
    height: fit-content;
    word-break: break-word;
  }
  #tableDetail td::before {
    content: attr(data-label);
    position: absolute;
    left: 0;
    width: 40%;
    padding-left: 15px;
    font-size: 13px;
    font-weight: bold;
    text-align: left;
  }
  .v-stepper__header {
    font-size: 12px;
    color: grey;
    font-weight: bold;
    font-family: "Sarabun", sans-serif;
  }
  .v-stepper__step {
    padding: 14px;
  }
  .paybtn {
    margin-top: 14px;
    margin-bottom: 14px;
    text-align: center;
    font-size: 14px;
    border-radius: 4px;
    font-family: "Sarabun", sans-serif;
  }
  .summarydata {
    margin-top: 13px;
  }
  .summaryprice {
    font-size: 15px;
    font-weight: bold;
    background-color: #f0f0f0;
    width: auto;
    height: 35px;
    padding-top: 5px;
  }
  .header {
    font-size: 18px;
    margin-bottom: 10px;
    font-weight: bold;
    color: #6a7d69;
  }
  .sub-header {
    color: #cfb9b4;
    font-size: 12px;
  }
  .theme--light.v-divider {
    border-color: white !important;
  }
  a:hover {
    color: #6a7d69;
    text-decoration: underline;
  }
}

.text-stepper-step {
  font-family: "Sarabun", sans-serif;
}

.v-table tr:hover:not(.v-table__expanded__content) {
  background: transparent !important;
}
</style>
